Subject: Re: bug#33833: 26.1; colors with no rgb values

From: Stefan Kangas <[email-masked]>
Date: Thu, 1 Oct 2020 05:38:15 -0700

Stefan Kangas <[email-masked]> writes:

> Hi Pascal,
>
> Alan Third <[email-masked]> writes:
>
>> On Sat, Dec 22, 2018 at 10:29:17AM +0100, Pascal Bourguignon wrote:
>>>
>>> With emacsformcosx Emacs version 26.1 (9.0) on Mojave:
>>>
>>> $ /Applications/Emacs.app/Contents/MacOS/Emacs --debug-init
>>> 2018-12-22 10:09:38.421 Emacs-x86_64-10_10[6625:159678] Failed to initialize
>>> color list unarchiver: Error Domain=NSCocoaErrorDomain Code=4864 "***
>>> -[NSKeyedUnarchiver _initForReadingFromData:error:throwLegacyExceptions:]:
>>> non-keyed archive cannot be decoded by NSKeyedUnarchiver"
>>> UserInfo={NSDebugDescription=*** -[NSKeyedUnarchiver
>>> _initForReadingFromData:error:throwLegacyExceptions:]: non-keyed archive
>>> cannot be decoded by NSKeyedUnarchiver}
>>
>> I believe this is fixed in 26.2. Apple removed a method we were using.
>
> We believe this issue is fixed.  Can you still reproduce this on Emacs
> 26.3 or later?
>
> If I don't hear back from you within a couple of weeks, I'll just
> assume this has been fixed and close this bug.

More information was requested, but none was given within 6 weeks, so
I'm closing this bug.  If this is still an issue, please reply to this
email (use "Reply to all" in your email client) and we can reopen the
bug report.

Best regards,
Stefan Kangas